Skip to main content
PATCH
/
test_framework
/
v1
/
metrics
/
{id}
cURL
curl --request PATCH \
  --url https://api.cekura.ai/test_framework/v1/metrics/{id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "audio_enabled": true,
  "prompt": "<string>",
  "project": 123,
  "agents": [
    123
  ],
  "assistant_id": "<string>",
  "type": "basic",
  "eval_type": "binary_workflow_adherence",
  "enum_values": {},
  "display_order": 123,
  "configuration": {},
  "add_to_new_agents": true,
  "simulation_enabled": true,
  "observability_enabled": true,
  "sampling_enabled": true
}
'
{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "audio_enabled": true,
  "prompt": "<string>",
  "project": 123,
  "agents": [
    123
  ],
  "assistant_id": "<string>",
  "type": "basic",
  "eval_type": "binary_workflow_adherence",
  "enum_values": {},
  "display_order": 123,
  "configuration": {},
  "add_to_new_agents": true,
  "simulation_enabled": true,
  "observability_enabled": true,
  "sampling_enabled": true
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this metric.

Body

name
string

Name of the metric

description
string

Description of what this metric evaluates

audio_enabled
boolean

Whether this metric evaluates audio content

prompt
string

The evaluation prompt used for this metric

project
integer

ID of the project this metric belongs to.

agents
integer[]

List of agent IDs to enable this project-level metric for. Only applicable when project is set.

assistant_id
string

External identifier for the assistant

type
enum<string>

Type of metric

  • basic - Basic (Deprecated in favor of LLM Judge)
  • custom_prompt - Custom Prompt ( Deprecated in favor of LLM Judge)
  • custom_code - Custom Code
  • llm_judge - LLM Judge
Available options:
basic,
custom_prompt,
custom_code,
llm_judge
eval_type
enum<string>

Type of evaluation

  • binary_workflow_adherence - Binary Workflow Adherence
  • binary_qualitative - Binary Qualitative
  • continuous_qualitative - Continuous Qualitative
  • numeric - Numeric
  • enum - Enum
Available options:
binary_workflow_adherence,
binary_qualitative,
continuous_qualitative,
numeric,
enum
enum_values
object

Possible values for enum-type metrics

display_order
integer

Order in which to display this metric in the UI

configuration
object

Custom configuration parameters for specific metrics. For pronounciation metric, you can set words as 2-tuple (word, phonemes) list example:

{
"words": [["hello", "hɛl.loʊ"], ["world", "wɝɚɚɚld"]]
}
add_to_new_agents
boolean | null

When enabled, this metric is automatically assigned to new agents created in the project.

simulation_enabled
boolean

Enable this metric for simulations. Example: true or false

observability_enabled
boolean

Enable this metric for observability. Example: true or false

sampling_enabled
boolean

Enable sampling for this metric using project-level sample rate

Response

id
integer
name
string

Name of the metric

description
string

Description of what this metric evaluates

audio_enabled
boolean

Whether this metric evaluates audio content

prompt
string

The evaluation prompt used for this metric

project
integer

ID of the project this metric belongs to.

agents
integer[]

List of agent IDs to enable this project-level metric for. Only applicable when project is set.

assistant_id
string

External identifier for the assistant

type
enum<string>

Type of metric

  • basic - Basic (Deprecated in favor of LLM Judge)
  • custom_prompt - Custom Prompt ( Deprecated in favor of LLM Judge)
  • custom_code - Custom Code
  • llm_judge - LLM Judge
Available options:
basic,
custom_prompt,
custom_code,
llm_judge
eval_type
enum<string>

Type of evaluation

  • binary_workflow_adherence - Binary Workflow Adherence
  • binary_qualitative - Binary Qualitative
  • continuous_qualitative - Continuous Qualitative
  • numeric - Numeric
  • enum - Enum
Available options:
binary_workflow_adherence,
binary_qualitative,
continuous_qualitative,
numeric,
enum
enum_values
object

Possible values for enum-type metrics

display_order
integer

Order in which to display this metric in the UI

configuration
object

Custom configuration parameters for specific metrics. For pronounciation metric, you can set words as 2-tuple (word, phonemes) list example:

{
"words": [["hello", "hɛl.loʊ"], ["world", "wɝɚɚɚld"]]
}
add_to_new_agents
boolean | null

When enabled, this metric is automatically assigned to new agents created in the project.

simulation_enabled
boolean

Enable this metric for simulations. Example: true or false

observability_enabled
boolean

Enable this metric for observability. Example: true or false

sampling_enabled
boolean

Enable sampling for this metric using project-level sample rate